POST
/docs/{docId}/webhooksCreate webhooks for a document
Creates one or more webhooks for a document that POST to specified URLs when document data changes. Provide webhook settings in the webhooks array; the response includes the IDs of the created webhooks.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
The UUID of the document for which to create webhooks.
An array of webhook settings. Each webhook object must include a fields object.
webhooksarray<object>required
Webhook settings to create. Each item contains a `fields` object with webhook configuration.
200Returns the IDs of the created webhooks in a `webhooks` array.
webhooksarray<object>required
Error handling
If you provide a request body, it must include the webhooks array, and each webhook object must include fields. The docId path parameter must identify the document for which you are creating webhooks.
